function xhat = lassoADMM(A,b,lambda)
% Syntax:       xhat = lassoADMM(A,b,lambda)
%               
% Inputs:       A is a (N x D) matrix whose rows are the measurement locations
%               
%               b is a vector of length N whose values are the measurement values
%
%               lambda is the regularization tuning parameter
%               
% Outputs:      xhat is the vector of length D containing the approximate solution

% algorithm parameters
rho = 10*lambda;
tol = 1e-4;
maxIter = 1000;

%% Your code starts here
for kk = 1:maxIter

    % calculate error and output it at each iteration
    err = norm(w - z)/norm(w);
    if err < tol
        break
    end
end
