clear
close all

N = 200;
rng(0); % seed random number generator

% generate data with outliers
a = 10;
b = 5;
xx = rand(N,1);
zz = zeros(N,1);
k = round(N*0.5);
rp = randperm(N);
outlier_subset = rp(1:k); 
zz(outlier_subset) = 1; % outliers
yy = (1-zz).*(a*xx + b + randn(N,1)) + zz.*(20 - 20*xx + 10*randn(N,1));

% plot observed data and true line
figure
hold all
plot(xx,yy,'x')
plot(xx,a*xx + b,'k--')

%% Your code
% Fit the data (xx,yy) using lp regression and plot for several values of p

% You may use the legend below
%legend('observed points','true line','p = 0.1','p = 0.5','p = 0.7','p = 1')
